# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
uk.ac.starlink.table.StarTableFactory.makeStarTable(URL)
Use `makeStarTable(new URLDataSource(url))`
uk.ac.starlink.table.StarTableFactory.makeStarTable(URL, String)
Use `makeStarTable(new URLDataSource(url),handler)`
uk.ac.starlink.table.Tables.getUtype(ValueInfo)
use `ValueInfo.getUtype()` instead
uk.ac.starlink.table.Tables.getXtype(ValueInfo)
use `ValueInfo.getXtype()` instead
uk.ac.starlink.table.Tables.setUtype(ValueInfo, String)
use `DefaultValueInfo.setUtype(String)` instead
uk.ac.starlink.table.Tables.setXtype(ValueInfo, String)
use `DefaultValueInfo.setXtype(String)` instead